<div class="fixed-bottom"><button (click)="crearEstaditicasPorTipo()" type="button" class="btn btn-primary">Estadísticas</button></div>
<div class="fixed-bottom custom-fixed"><button (click)="reiniciarFiltro()" type="button" class="btn btn-secondary">Reiniciar Filtro</button></div>
<ul class="list-group" infiniteScroll [infiniteScrollDistance]="2" [infiniteScrollThrottle]="100" (scrolled)="onScroll()">
  <div *ngIf="dataapi.traerPokemones() && !dataapi.loading">
    <li class="list-group-item" *ngFor="let pokemon of dataapi.traerPokemones() | filtrop:filtrogeneral">
      <!-- DEtalle -->
      <div class="card card-custom" style="background-color: {{asignarColorPorTipo(pokemon.types)}}">        
        <div class="row card-body">
          <div class="col-7">
            <h5 class="card-title" (click)="abrirDetallesPokemon(pokemon,modaldetalle)">{{pokemon.name}}</h5>
            <h6 class="card-subtitle mb-2">Height: {{pokemon.height}}</h6>
            <h6 class="card-subtitle mb-2">Weight: {{pokemon.weight}}</h6>
            <p class="card-text">Abilites: {{habilidadesPokemon(pokemon.abilities)}}</p>
          </div>
          <img class="col-5" src="{{imagenPokemon(pokemon.sprites)}}" alt="">
        </div>
      </div>
    </li>
  </div>
  <!-- Skeleton Loader -->
  <div *ngIf="dataapi.loading">
    <li class="list-group-item" *ngFor="let in of contador(dataapi.traerLitimePokemon()) ;let i = index">
      <!-- DEtalle -->
      <div class="card">
        <div class="row card-body">
          <div class="col-7">
            <div class="wrapper"><ngx-skeleton-loader [theme]="{ width: '90%', 'border-radius': '0', height: '30px', 'margin-bottom': '4px'}"></ngx-skeleton-loader></div>
            <div class="wrapper"><ngx-skeleton-loader [theme]="{ width: '40%', 'border-radius': '0', height: '15px', 'margin-bottom': '4px'}"></ngx-skeleton-loader></div>
            <div class="wrapper"><ngx-skeleton-loader [theme]="{ width: '40%', 'border-radius': '0', height: '15px', 'margin-bottom': '4px'}"></ngx-skeleton-loader></div>
            <div class="wrapper"><ngx-skeleton-loader [theme]="{ width: '100%', 'border-radius': '0', height: '50px', 'margin-bottom': '4px'}"></ngx-skeleton-loader></div>
          </div>
          <div class="col-5">
            <div class="wrapper"><ngx-skeleton-loader [theme]="{ width: '80%', 'border-radius': '0', height: '80px'}"></ngx-skeleton-loader></div>
          </div>
        </div>
      </div>
    </li>
  </div>
</ul>
<ng-template #modaldetalle let-modal>
  <div class="modal-header">
    <h4 class="modal-title">{{detallesPokemon.name}}</h4>
    <button type="button" class="close" aria-label="Cerrar" (click)="modal.dismiss('Cerrar')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div class="card">
      <div class="row card-body">
        <div class="col-7">
          <h6 class="card-subtitle mb-2">Height: {{detallesPokemon.height}}</h6>
          <h6 class="card-subtitle mb-2">Weight: {{detallesPokemon.weight}}</h6>
          <p class="card-text">Abilites: {{habilidadesPokemon(detallesPokemon.abilities)}}</p>
        </div>
        <img class="col-5" src="{{imagenPokemon(detallesPokemon.sprites)}}" alt="">
        <div class="col-12">
          <div class="" *ngFor="let stats of detallesPokemon.stats">
              <strong>{{stats.stat.name}}:</strong> {{stats.base_stat}};
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-dark" (click)="modal.close('Cerrar')">Cerrar</button>
  </div>
</ng-template>
